#
# spec file for package felix-osgi-core
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global bundle org.osgi.core
Name:           felix-osgi-core
Version:        1.4.0
Release:        3.2
Summary:        Felix OSGi R4 Core Bundle
License:        Apache-2.0
Group:          Development/Libraries/Java
Url:            http://felix.apache.org/site/apache-felix-osgi-core.html
Source0:        http://www.apache.org/dist/felix/%{bundle}-%{version}-project.tar.gz
Source1:        %{name}-%{version}-build.xml.tar.gz
Patch0:         jdk9.patch
BuildRequires:  ant
BuildRequires:  java-devel >= 1.6.0
BuildRequires:  jpackage-utils
Requires:       java >= 1.6.0
BuildArch:      noarch

%description
OSGi Service Platform Release 4 Core Interfaces and Classes.

%prep
%setup -q -n %{bundle}-%{version} -a1
%patch0 -p1

mkdir -p .m2/repository

%build
%{ant} -Dmaven.settings.offline=true \
     -Dmaven.repo.local=.m2/repository \
     package javadoc

%install
# jars
install -d -m 0755 %{buildroot}%{_javadir}/felix
install -m 644 target/%{bundle}-%{version}.jar \
        %{buildroot}%{_javadir}/felix/%{bundle}.jar

# poms
install -d -m 755 %{buildroot}%{_datadir}/maven2/poms
install -pm 644 pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.felix-%{bundle}.pom

%files
%doc LICENSE
%{_javadir}/felix
%dir %{_datadir}/maven2/
%dir %{_datadir}/maven2/poms/
%{_datadir}/maven2/poms/JPP.felix-%{bundle}.pom

%changelog
* Mon Sep 18 2017 fstrba@suse.com
- Added patch:
  * jdk9.patch
    + Fix build with jdk9
  + Specify java source and target 1.6
  + Specify correct encoding of files UTF-8
- Clean spec file
* Sat Jul  9 2016 mailaender@opensuse.org
- Adapted for openSUSE
* Wed Dec 15 2010 sochotnicky@redhat.com
- Remove felix-parent from Requires to prevent pulling maven in
* Tue Dec 14 2010 sochotnicky@redhat.com
- Add felix-parent to Requires (maven builds require this)
- Add license and jpackage-utils Requires to javadoc subpackage
- Use mavenpomdir macro
* Mon Dec 13 2010 akurtako@redhat.com
- Fix pom name.
- Adapt to current guidelines.
* Tue Jun 29 2010 victor.vasilyev@sun.com
- Modify maven-build.xml to include MANIFEST.MF into JAR
* Tue Jun 22 2010 victor.vasilyev@sun.com
- Update felix-osgi-core-1.4.0-build.xml.tar.gz
- Use the macros style
- Release 1.4.0
* Thu Sep  3 2009 akurtako@redhat.com
- Initial package.
